gmp_perfect_square
gmp_pow
GMP Functions
PHP Manual

# gmp_popcount

(PHP 4 >= 4.0.4, PHP 5)

gmp_popcount — Population count

### Description

int gmp_popcount ( resource `$a` )

Get the population count.

### Parameters

`a`

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

### Return Values

The population count of `a`, as an integer .

### Examples

Example #1 gmp_popcount() example

`<?php
$pop1 = gmp_init("10000101", 2); // 3 1's
echo gmp_popcount($pop1) . "\n";
$pop2 = gmp_init("11111110", 2); // 7 1's
echo gmp_popcount($pop2) . "\n";
?>`

The above example will output:

    3
    7

gmp_perfect_square
gmp_pow
GMP Functions
PHP Manual